audience.contact.list
curl --request POST \
--url https://platform.trylath.com/audience/contact/list \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"query": "<string>",
"tag": "<string>",
"limit": 50,
"before": "2023-11-07T05:31:56Z"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({query: '<string>', tag: '<string>', limit: 50, before: '2023-11-07T05:31:56Z'})
};
fetch('https://platform.trylath.com/audience/contact/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://platform.trylath.com/audience/contact/list"
payload = {
"query": "<string>",
"tag": "<string>",
"limit": 50,
"before": "2023-11-07T05:31:56Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://platform.trylath.com/audience/contact/list"
payload := strings.NewReader("{\n \"query\": \"<string>\",\n \"tag\": \"<string>\",\n \"limit\": 50,\n \"before\": \"2023-11-07T05:31:56Z\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"activityId": "<string>",
"result": {
"contacts": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "<string>",
"phone": "<string>",
"locale": "<string>",
"properties": {},
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"subscription": "subscribed",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"nextBefore": "2023-11-07T05:31:56Z"
}
}audience.contact.list
Lists contacts newest first. query matches the start of an email or phone. Each contact carries subscription: ‘suppressed’ when its email or phone is on the suppression list, else ‘subscribed’ when its latest consent on any channel and topic is granted, else ‘unsubscribed’ when it has consent records and none is granted any more, else ‘none’. subscription and tag filter on the same reading.
POST
/
audience
/
contact
/
list
audience.contact.list
curl --request POST \
--url https://platform.trylath.com/audience/contact/list \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"query": "<string>",
"tag": "<string>",
"limit": 50,
"before": "2023-11-07T05:31:56Z"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({query: '<string>', tag: '<string>', limit: 50, before: '2023-11-07T05:31:56Z'})
};
fetch('https://platform.trylath.com/audience/contact/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://platform.trylath.com/audience/contact/list"
payload = {
"query": "<string>",
"tag": "<string>",
"limit": 50,
"before": "2023-11-07T05:31:56Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://platform.trylath.com/audience/contact/list"
payload := strings.NewReader("{\n \"query\": \"<string>\",\n \"tag\": \"<string>\",\n \"limit\": 50,\n \"before\": \"2023-11-07T05:31:56Z\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"activityId": "<string>",
"result": {
"contacts": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "<string>",
"phone": "<string>",
"locale": "<string>",
"properties": {},
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"subscription": "subscribed",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"nextBefore": "2023-11-07T05:31:56Z"
}
}Authorizations
A Lath API key: lath_live_… or lath_test_… on a server, lath_live_pk… or lath_test_pk… in a browser.
Body
application/json
Maximum string length:
200Only contacts in this subscription state
Available options:
subscribed, unsubscribed, suppressed, none Only contacts whose tags property holds this tag
Required string length:
1 - 32Required range:
1 <= x <= 200Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$Last modified on September 23, 2026
Was this page helpful?

